package com.yonge.cooleshow.biz.dal.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/4/21 11:29
 */
@ApiModel(value = "HomeTotalStudent", description = "后台首页学生数据统计查询对象")
public class HomeTotalStudent {
    @ApiModelProperty("学生注册量 ")
    private Integer registerNum;
    @ApiModelProperty("新增会员学员 ")
    private Integer vipNum;
    @ApiModelProperty("新增陪练课学员 ")
    private Integer practiceNum;
    @ApiModelProperty("新增视频课学员 ")
    private Integer videoNum;
    @ApiModelProperty("新增直播课学员 ")
    private Integer liveNum;
    @ApiModelProperty("新增乐曲学员 ")
    private Integer musicNum;
    @ApiModelProperty("新增商城用户 ")
    private Integer shoppingNum;
    @ApiModelProperty("时间（详情数据中使用） ")
    private String timeStr;
    @ApiModelProperty("详情数据 ")
    private List<HomeTotalStudent> infoList;

    @ApiModelProperty("付费学员数")
    private Integer payStudentNum;

    public Integer getPayStudentNum() {
        return payStudentNum;
    }

    public void setPayStudentNum(Integer payStudentNum) {
        this.payStudentNum = payStudentNum;
    }

    public Integer getRegisterNum() {
        return registerNum;
    }

    public void setRegisterNum(Integer registerNum) {
        this.registerNum = registerNum;
    }

    public Integer getVipNum() {
        return vipNum;
    }

    public void setVipNum(Integer vipNum) {
        this.vipNum = vipNum;
    }

    public Integer getPracticeNum() {
        return practiceNum;
    }

    public void setPracticeNum(Integer practiceNum) {
        this.practiceNum = practiceNum;
    }

    public Integer getVideoNum() {
        return videoNum;
    }

    public void setVideoNum(Integer videoNum) {
        this.videoNum = videoNum;
    }

    public Integer getLiveNum() {
        return liveNum;
    }

    public void setLiveNum(Integer liveNum) {
        this.liveNum = liveNum;
    }

    public Integer getMusicNum() {
        return musicNum;
    }

    public void setMusicNum(Integer musicNum) {
        this.musicNum = musicNum;
    }

    public Integer getShoppingNum() {
        return shoppingNum;
    }

    public void setShoppingNum(Integer shoppingNum) {
        this.shoppingNum = shoppingNum;
    }

    public String getTimeStr() {
        return timeStr;
    }

    public void setTimeStr(String timeStr) {
        this.timeStr = timeStr;
    }

    public List<HomeTotalStudent> getInfoList() {
        return infoList;
    }

    public void setInfoList(List<HomeTotalStudent> infoList) {
        this.infoList = infoList;
    }
}